# template: default
%global gem_name graphql-batch

Name: rubygem-%{gem_name}
Version: 0.6.0
Release: 1%{?dist}
Summary: A query batching executor for the graphql gem
License: MIT
URL: https://github.com/Shopify/graphql-batch
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
A query batching executor for the graphql gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%exclude %{gem_instdir}/graphql-batch.gemspec

%changelog
* Sun Apr 07 2024 Foreman Packaging Automation <packaging@theforeman.org> - 0.6.0-1
- Update to 0.6.0

* Sun Feb 04 2024 Foreman Packaging Automation <packaging@theforeman.org> - 0.5.4-1
- Update to 0.5.4

* Wed May 17 2023 Foreman Packaging Automation <packaging@theforeman.org> 0.5.3-1
- Update to 0.5.3

* Sun Jan 22 2023 Foreman Packaging Automation <packaging@theforeman.org> 0.5.2-1
- Update to 0.5.2

* Tue Sep 27 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 0.5.1-1
- Update to 0.5.1

* Wed Jul 06 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 0.4.3-1
- Update to 0.4.3

* Thu Mar 11 2021 Eric D. Helms <ericdhelms@gmail.com> - 0.3.10-3
- Rebuild against rh-ruby27

* Wed Apr 08 2020 Zach Huntington-Meath <zhunting@redhat.com> - 0.3.10-2
- Bump to release for EL8

* Wed Feb 13 2019 Ondrej Prazak <oprazak@redhat.com> 0.3.10-1
- Add rubygem-graphql-batch generated by gem2rpm using the scl template

